Bug 1330442 - Package docker-selinux is missing interface files [NEEDINFO]
Summary: Package docker-selinux is missing interface files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: docker
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Antonio Murdaca
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-26 09:10 UTC by Lukas Zapletal
Modified: 2016-09-11 03:51 UTC (History)
13 users (show)

Fixed In Version: docker-1.10.3-16.gitf476348.fc24 docker-1.10.3-43.gita612434.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-11 03:51:23 UTC
Type: Bug
amurdaca: needinfo? (lsm5)


Attachments (Terms of Use)

Description Lukas Zapletal 2016-04-26 09:10:21 UTC
File docker.if disappeared from its usual path:

/usr/share/selinux/devel/include/*/docker.if

This broke our policy since we need those interfaces to be present. This is Fedora 23.

$ rpm -ql docker-selinux
/usr/share/doc/docker-selinux
/usr/share/doc/docker-selinux/README.md
/usr/share/selinux/packages
/usr/share/selinux/packages/docker.pp.bz2

The same for Rawhide. The latest build does not have it:

http://koji.fedoraproject.org/koji/rpminfo?rpmID=7623945

It is still present in latest CentOS stable.

Installed:
  docker-selinux.x86_64 0:1.9.1-25.el7.centos                                                                                  

Complete!
[root@fseven ~]# rpm -ql docker-selinux
/usr/share/doc/docker-selinux-1.9.1
/usr/share/doc/docker-selinux-1.9.1/README.md
/usr/share/selinux/devel
/usr/share/selinux/devel/include
/usr/share/selinux/devel/include/services
/usr/share/selinux/devel/include/services/docker.if
/usr/share/selinux/packages
/usr/share/selinux/packages/docker.pp.bz2

Please fix this and backport this into Fedoras.

Comment 1 Daniel Walsh 2016-04-26 13:27:33 UTC
docker.if should be in /usr/share/selinux/devel/include/contrib

Comment 2 Daniel Walsh 2016-06-03 19:13:36 UTC
Antonio can you make sure docker-selinux installs these files.

Comment 3 Antonio Murdaca 2016-06-03 19:18:11 UTC
on it

Comment 4 Daniel Walsh 2016-06-03 19:35:17 UTC
make install in the latest docker-selinux github should take care of installing everything.

Comment 5 Antonio Murdaca 2016-06-04 15:36:59 UTC
took care of this one in -29 build in F23

$ rpm -ql docker-selinux
/usr/share/doc/docker-selinux
/usr/share/doc/docker-selinux/README.md
/usr/share/selinux/devel
/usr/share/selinux/devel/include
/usr/share/selinux/devel/include/services
/usr/share/selinux/devel/include/services/docker.if
/usr/share/selinux/packages
/usr/share/selinux/packages/docker.pp.bz2

Comment 6 Daniel Walsh 2016-06-05 19:01:06 UTC
You are missing the man page?  Did you suck out the latest docker-selinux package for Rawhide?

Comment 7 Antonio Murdaca 2016-06-05 19:21:40 UTC
I wasn't sure about the man page, I'll fix it (however generating the man pages requires the policies to be already installed)

Comment 8 Antonio Murdaca 2016-06-05 21:46:41 UTC
Dan, we're not using "make install" in any of f23, f24 or rawhide, instead we run semodule on post install:

 723 %post selinux                                                                   
 724 # Install all modules in a single transaction                                   
 725 if [ $1 -eq 1 ]; then                                                           
 726     %{_sbindir}/setsebool -P -N virt_use_nfs=1 virt_sandbox_use_all_caps=1      
 727 fi                                                                              
 728 %_format MODULES %{_datadir}/selinux/packages/$x.pp.bz2                         
 729 %{_sbindir}/semodule -n -s %{selinuxtype} -i $MODULES                           
 730 if %{_sbindir}/selinuxenabled ; then                                            
 731     %{_sbindir}/load_policy                                                     
 732     %relabel_files                                                              
 733     if [ $1 -eq 1 ]; then                                                       
 734     restorecon -R %{_sharedstatedir}/%{repo} &> /dev/null || :                  
 735     fi                                                                          
 736 fi 

man pages are generated by:

sepolicy manpage --path . --domain docker_t

however, sepolicty manpage requires "semodule -i" which isn't done before "%post selinux"

Adding man page generation post install isn't working also. Lokesh any idea?

Comment 9 Fedora Update System 2016-06-06 14:46:02 UTC
docker-1.10.3-16.gitf476348.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-158d16524d

Comment 10 Fedora Update System 2016-06-06 17:56:52 UTC
docker-1.10.3-16.gitf476348.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-158d16524d

Comment 11 Daniel Walsh 2016-06-07 14:42:48 UTC
No I wanted the man pages built on the builder machine not in the post install script.  

make install with latest docker-selinux should do this.

Comment 12 Fedora Update System 2016-06-10 07:41:43 UTC
docker-1.10.3-31.gitee81b72.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a3d93f7570

Comment 13 Fedora Update System 2016-06-11 03:54:19 UTC
docker-1.10.3-31.gitee81b72.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a3d93f7570

Comment 14 Fedora Update System 2016-06-18 18:40:47 UTC
docker-1.10.3-16.gitf476348.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-06-20 21:49:16 UTC
docker-1.10.3-33.gitee81b72.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e849d66f7d

Comment 16 Fedora Update System 2016-06-22 02:54:49 UTC
docker-1.10.3-33.gitee81b72.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e849d66f7d

Comment 17 Fedora Update System 2016-06-24 18:10:24 UTC
docker-1.10.3-34.git19b5791.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7245efa28a

Comment 18 Fedora Update System 2016-06-26 06:21:41 UTC
docker-1.10.3-34.git19b5791.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7245efa28a

Comment 19 Fedora Update System 2016-07-01 19:58:43 UTC
docker-1.10.3-35.git3b3d748.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f221b26d2f

Comment 20 Fedora Update System 2016-07-02 20:53:36 UTC
docker-1.10.3-35.git3b3d748.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f221b26d2f

Comment 21 Fedora Update System 2016-07-06 14:52:13 UTC
docker-1.10.3-36.git971d3bf.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-73d248fd52

Comment 22 Fedora Update System 2016-07-10 03:54:13 UTC
docker-1.10.3-36.git971d3bf.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-73d248fd52

Comment 23 Fedora Update System 2016-07-12 20:16:24 UTC
docker-1.10.3-37.git29066b4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-47fac047d3

Comment 24 Fedora Update System 2016-07-14 01:23:51 UTC
docker-1.10.3-37.git29066b4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-47fac047d3

Comment 25 Fedora Update System 2016-07-20 21:31:46 UTC
docker-1.10.3-38.gitcba0656.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7bf2cb1e9b

Comment 26 Fedora Update System 2016-07-21 15:25:38 UTC
docker-1.10.3-39.git1ecb834.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0218df61cf

Comment 27 Fedora Update System 2016-07-21 18:47:45 UTC
docker-1.10.3-39.git1ecb834.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0218df61cf

Comment 28 Jan Kurik 2016-07-26 04:04:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 29 Fedora Update System 2016-08-22 15:09:18 UTC
docker-1.10.3-40.git128f146.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6a080364c5

Comment 30 Fedora Update System 2016-08-23 16:20:18 UTC
docker-1.10.3-40.git128f146.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6a080364c5

Comment 31 Fedora Update System 2016-08-24 10:58:13 UTC
docker-1.10.3-41.git78aa320.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2d2e7b09c

Comment 32 Fedora Update System 2016-08-25 10:28:19 UTC
docker-1.10.3-41.git78aa320.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2d2e7b09c

Comment 33 Fedora Update System 2016-08-29 09:25:56 UTC
docker-1.10.3-42.gitc7e7694.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9ae3ca3f0a

Comment 34 Fedora Update System 2016-08-29 22:52:35 UTC
docker-1.10.3-42.gitc7e7694.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9ae3ca3f0a

Comment 35 Fedora Update System 2016-09-02 09:00:04 UTC
docker-1.10.3-43.gita612434.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8686e64e55

Comment 36 Fedora Update System 2016-09-03 03:52:28 UTC
docker-1.10.3-43.gita612434.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8686e64e55

Comment 37 Fedora Update System 2016-09-11 03:50:53 UTC
docker-1.10.3-43.gita612434.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.